Zum Inhalt springen
meniodevelopermenio DashboardVorschau

POST sortiments/{qnipsSortimentId}/bulkUpload?changedArticlesOnly={changedArticlesOnly}} · POS API

POST sortiments/{qnipsSortimentId}/bulkUpload?changedArticlesOnly={changedArticlesOnly}}

POS API v3sortiments
POST/sortiments/{qnipsSortimentId}/bulkUpload?changedArticlesOnly={changedArticlesOnly}
  • In BulkUpload you can create and update several articles and product groups in one go

  • Using the boolean parameter 'changedArticlesOnly' you can specify whether the body contains a complete trunk or just the articles updated on your system since the last upload.

  • With 'changedArticlesOnly=true' our system will independently determine the newly added, changed or deleted articles and product groups compared to the previous upload and only save these changes historically.

  • With 'changedArticlesOnly=false', our system interprets the information in the body as new articles and product groups or those to be updated. In this case, deletion must be carried out by means of individual deletions, as described above.

The body must be specified for this request as follows:


        {
            "Groups": [
                {
                   "Id": "1",
                   "UpGroupId": ""
                   "Name": [{ "lang": "de-DE", "val": "Getränke" }
                },
                {
                   "Id": "1_2"
                   "UpGroupId": "1"
                   "Name": [{ "lang": "de-DE", "val": "Biers" }
                }
            ],
            "Products": [
                {
                   "PLU": "123."
                   "GroupId": "1_2"
                   "Name": [{ "lang": "de-DE", "val": "Bier 0.5L" }
                }
            ]
        }
    
Property Description
Groups List of product groups as specified under [warengruppen-bearbeiten](#reference/sortiments/edit product groups).
Products List of articles as specified under Edit article.

Parameter

qnipsSortimentIdstringErforderlich

this is the qnipsSortimentId' returned by the call to GET sortiments?thirdPartySortimentIdentifier={string1}&name={string2}`.

Beispiel: 'sortiment123'
changedArticlesOnlybooleanErforderlich

indicates whether the upload is the entire sortiment to be shared with menio or whether this request only contains the changes to the previous successful upload.

Beispiel: true'

Request-Header

DevKey
{Your Key}
TrackingUnitId
{trackingUnitId}
Content-encoding
gzip (optional) // add the body of this request in zipped form if this header is set.
Originaler Blueprint-Ausschnitt
API Blueprint
### POST sortiments/{qnipsSortimentId}/bulkUpload?changedArticlesOnly={changedArticlesOnly}} [POST]

+ In BulkUpload you can create and update several articles and product groups in one go
+ Using the boolean parameter 'changedArticlesOnly' you can specify whether the body contains a complete trunk or just the articles updated on your system since the last upload.
+ With 'changedArticlesOnly=true' our system will independently determine the newly added, changed or deleted articles and product groups compared to the previous upload and only save these changes historically.
+ With 'changedArticlesOnly=false', our system interprets the information in the body as new articles and product groups or those to be updated. In this case, deletion must be carried out by means of individual deletions, as described above.

The body must be specified for this request as follows:

<pre>
<code>
        {
            "Groups": [
                {
                   "Id": "1",
                   "UpGroupId": ""
                   "Name": [{ "lang": "de-DE", "val": "Getränke" }
                },
                {
                   "Id": "1_2"
                   "UpGroupId": "1"
                   "Name": [{ "lang": "de-DE", "val": "Biers" }
                }
            ],
            "Products": [
                {
                   "PLU": "123."
                   "GroupId": "1_2"
                   "Name": [{ "lang": "de-DE", "val": "Bier 0.5L" }
                }
            ]
        }
</code>    
</pre>

| Property | Description |
| --- | --- |
|`Groups`| List of product groups as specified under [warengruppen-bearbeiten](#reference/sortiments/edit product groups). |
|`Products`| List of articles as specified under [Edit article](#reference/sortiments/artikel-bearbeiten). |


+ Parameters
    + qnipsSortimentId (string, `'sortiment123'`) ... this is the `qnipsSortimentId' returned by the call to `GET sortiments?thirdPartySortimentIdentifier={string1}&name={string2}`. 
    + changedArticlesOnly (boolean, `true'` ) ...  indicates whether the upload is the entire sortiment to be shared with qnips or whether this request only contains the changes to the previous successful upload.

+ Request

    + Headers

            DevKey: {Your Key}
            TrackingUnitId: {trackingUnitId}
            Content-encoding: gzip (optional) // add the body of this request in zipped form if this header is set.

+ response 200

+ response 500

        // HTTP-InternalServerError: An unknown problem occurred during processing
        {
            "ErrorMessage": "some explanation"
            "StackTrace": "text"
        }


+ response 403

        // HTTP-Forbidden: trackingUnitId is not yet activated by the merchant
            
+ Response 401

        // HTTP-Unauthorized: DevKey or trackingUnitId not specified or not available
            
+ response 400

        {
            "ErrorId":123,
            "ErrorText": "Details of the error"
        }
        
        // here all possible error codes incl. texts for this resource
        // 1000: Body contains syntactical errors and cannot be deserialized
        // 12001: qnips sortimentId unknown